List catalog products for one product group
GET
/catalog/product-groups/{product_group_id}/products
const url = 'https://api.fleet.co/platform/v1/catalog/product-groups/12/products?delivery_country=FR';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.fleet.co/platform/v1/catalog/product-groups/12/products?delivery_country=FR' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_group_id
required
Product group id
string
Example
12Query Parameters
Section titled “Query Parameters”delivery_country
required
ISO 3166-1 alpha-2 delivery country code (e.g. FR). Cart line items must use a country where the catalog product is available.
string
Example
FRResponses
Section titled “Responses”Catalog products available for one product group in the delivery country
Media typeapplication/json
object
data
required
Every product of the group; not paginated
Array<object>
object
id
required
integer
name
required
string
has_keyboard
required
boolean
img_url
required
string
product_group_id
required
integer
characteristics
required
object
screen_size
required
string
processor
required
string
ram
required
string
storage
required
string
connectivity
required
string
graphic
required
string
weight
required
number
quality
required
string
noise_cancellation
required
boolean
has_microphone
required
boolean
connection_type
required
Array<string>
compliance
required
Array<string>
refresh_rate
required
string
response_time
required
string
screen_stand
required
Array<string>
definition
required
string
equipment_sub_type
required
string
battery_life
required
string
optimized_to
required
string
power
required
string
has_stool
required
boolean
has_video_package
required
boolean
has_screen
required
boolean
has_premium_tablet
required
boolean
color
required
string
seats_number
required
string
assembly
required
string
dimensions
required
string
height
required
string
has_power_plug
required
boolean
has_adjustable_height
required
boolean
has_cable_management
required
boolean
has_wheels
required
boolean
armrest
required
string
lumbar_support
required
string
length
required
string
width
required
string
has_webcam
required
boolean
printer_characteristics
required
object
scanner_type
required
string
paper_format
required
string
pages_per_month
required
string
has_maintenance_price
required
boolean
printer_maintenance_prices
required
product_phone_characteristics
required
object
has_e_sim
required
boolean
keyboard_layouts
required
Array<string>
Example
{ "data": [ { "keyboard_layouts": [ "FRENCH_AZERTY" ] } ]}Validation error
Media typeapplication/json
object
message
required
Every validation failure, comma-separated
string
type
required
string
error
required
string
Example
{ "message": "Required, must be an ISO 3166-1 alpha-2 country code", "type": "validation_error", "error": "validation_error"}Missing, invalid, or revoked API key
Media typetext/plain
string
Example
UnauthorizedResource not found
Media typeapplication/json
object
error
required
string
Example
{ "error": "COMPANY_NOT_FOUND"}Rate limit exceeded. The RateLimit-* headers give the limit and the reset time.
Media typetext/plain
string
Example
Too many requests, please try again later.Unexpected server error
Media typeapplication/json
object
error
required
string
Example
{ "error": "INTERNAL_ERROR"}Rate limiting is temporarily unavailable; retry with backoff
Media typeapplication/json
object
message
required
string
Example generated
{ "message": "example"}
